import { Hour, Minute, Second } from './index.js';
export function rightNow() {
  return 'right now';
}
export function relativeTicks(_ref) {
  var past = _ref.past,
      ticks = _ref.ticks;
  return past ? "".concat(ticks, " ago") : "in ".concat(ticks);
}
export function seconds(_ref2) {
  var seconds = _ref2.seconds;
  return "".concat(seconds, " ").concat(seconds > 1 ? 'seconds' : 'second');
}
export function relativeSeconds(opts) {
  var ticks = seconds({
    seconds: opts.seconds
  });
  return relativeTicks({
    past: opts.past,
    ticks: ticks
  });
}
export function minutes(_ref3) {
  var minutes = _ref3.minutes;
  return "".concat(minutes, " ").concat(minutes > 1 ? 'minutes' : 'minute');
}
export function relativeMinutes(opts) {
  var ticks = minutes({
    minutes: opts.minutes
  });
  return relativeTicks({
    past: opts.past,
    ticks: ticks
  });
}
export function hours(_ref4) {
  var hours = _ref4.hours;
  return "".concat(hours, " ").concat(hours > 1 ? 'hours' : 'hour');
}
export function hoursAndMinutes(opts) {
  return hours(opts) + (opts.minutes ? ' ' + minutes(opts) : '');
}
export function yesterdayOrTommorow(_ref5) {
  var past = _ref5.past;
  return past ? 'yesterday' : 'tomorrow';
}
export function relativeHoursAndMinutes(opts) {
  var ticks = hoursAndMinutes({
    hours: opts.hours,
    minutes: opts.minutes
  });
  return relativeTicks({
    past: opts.past,
    ticks: ticks
  });
}
export function relativeDelta(opts) {
  if (opts.delta < Minute) {
    var _seconds = Math.floor(opts.delta / Second);

    if (_seconds) return relativeSeconds({
      past: opts.past,
      seconds: _seconds
    });
  }

  var hours = Math.floor(opts.delta / Hour);
  var minutes = Math.floor((opts.delta - hours * Hour) / Minute);
  if (hours) return relativeHoursAndMinutes({
    past: opts.past,
    hours: hours,
    minutes: minutes
  });
  if (minutes) return relativeMinutes({
    past: opts.past,
    minutes: minutes
  });
  return rightNow();
}
export function weekdayThisWeek(_ref6) {
  var weekday = _ref6.weekday;
  return "this ".concat(weekday);
}
export function weekdayNextWeek(_ref7) {
  var weekday = _ref7.weekday;
  return "next ".concat(weekday);
}
export function fewSeconds(_ref8) {
  var past = _ref8.past;
  return past ? 'a few seconds ago' : 'in a few seconds';
}
export function underMinute(_ref9) {
  var past = _ref9.past;
  return past ? 'under a minute ago' : 'in under a minute';
}
export function earlierOrLaterToday(_ref10) {
  var past = _ref10.past;
  return past ? 'earlier today' : 'later today';
}
export function earlierOrLater(_ref11) {
  var past = _ref11.past;
  return past ? 'sometime earlier' : 'sometime later';
}
export function earlierThisWeek() {
  return 'earlier this week';
}
export function earlierLastWeek() {
  return 'earlier last week';
}
export function relativeThisWeek(_ref12) {
  var past = _ref12.past,
      when = _ref12.when;
  return past ? earlierThisWeek() : weekdayThisWeek({
    weekday: when.format('en', {
      weekday: 'long'
    })
  });
}
export function relativeSecondWeek(_ref13) {
  var past = _ref13.past,
      when = _ref13.when;
  return past ? earlierLastWeek() : weekdayNextWeek({
    weekday: when.format('en', {
      weekday: 'long'
    })
  });
}